%define pkgname	osmo
%define	version	0.1.1
%define release	%mkrel 1

Summary:	Gaim plugin for sending math notation in conversations
Name:		gaim-%{pkgname}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Network/Instant Messaging
URL:		http://osmo.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Patch0:		osmo-0.1.1-lyx-path.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gaim-devel
BuildRequires:	tetex
BuildRequires:	qt3-devel
BuildRequires:	rpm-build
BuildRequires:	gettext
Requires:	tetex

%description
Osmo is a plugin for Gaim, to send math notation and transmit as image
during conversation. It makes uses of customized version of LyX as
typesetting.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .lyxpath

%build
make -C plugin/src \
	CFLAGS="$RPM_OPT_FLAGS" \
	INCS="`pkg-config --cflags gaim gtk+-2.0`" \
	DEFS='-DHAVE_CONFIG_H -DDATADIR=\"%{_datadir}\" -DXTHREADS' \
	LIBS="`pkg-config --libs gtk+-2.0`"

pushd lyx
./autogen.sh
%configure2_5x --with-frontend=qt --with-version-suffix=-osmo
%make
popd

%install
rm -rf %{buildroot}
pushd plugin/src
mkdir -p %{buildroot}%{_libdir}/gaim
make install INSTALLDIR=%{buildroot}%{_libdir}/gaim
popd

pushd lyx
%makeinstall_std
popd

# drop unneeded files, in particular lyx files uninteresting enough
# to be removed
rm -f %{buildroot}%{_libdir}/gaim/*.la
rm -rf %{buildroot}%{_mandir}

%find_lang lyx-osmo

%clean
rm -rf %{buildroot}

%files -f lyx-osmo.lang
%defattr(-,root,root)
%doc CREDITS INSTALL README
%{_bindir}/*
%{_libdir}/gaim/*.so
%{_datadir}/lyx-osmo

%changelog
* Wed Nov 02 2005 Abel Cheung <deaddog@mandriva.org> 0.1.1-1mdk
- First Mandriva package
